/*html relative position for positioning of footer  */
html {
  position: relative;
  min-height: 100%;
}

/*Main background colour - this works for large and xl. Use media queries for xs, sm and md.  */
body {
  font-family: Quicksand, sans-serif;

  color: #39383a;
  font-weight: 500;
  background-color: white;
}

h1,
h3 {
  color: #2d0245;
}

p {
  font-size: 20px;
}

nav {
  height: 100px;
}

/*Logo size */
.navbar a img {
  max-height: 100px;
  margin: 0;
  padding-top: 5px;
  width: 150px;
}

/*Border for the whole navbar */
.nav-tabs {
  border-bottom: 0px solid #343a40;
}

/* text colour of navbar items */
#topBar #list .nav-item .nav-link {
  color: #2d0245;
  font-weight: 900;
  margin-right: 5px;
  font-size: 18px;
  line-height: 1;
  letter-spacing: 1px;
  padding-bottom: 25px;
}

/* Styling of nav-bar list-item tabs - ie removing the border. */
.nav-tabs #list .nav-item .nav-link {
  border: transparent;
}

/*hover states of navbar tab list items - ie adding the bottom border. */
.nav-tabs #list .nav-item .nav-link:hover {
  border-bottom: 1px solid #2d0245;
}

/*hover states of navbar tab list items on home page - this needs 1px of bottom padding removed so the navbar doesn't move when a tab is hovered on. Only needed on home page as no active tab with underline on page load.  */
#topBar #list .hl .nav-link:hover {
  border-bottom: 2px solid #2d0245;
  padding-bottom: 18px;
}

/*active state of navbar item - this overrides bootstraps defaults  - adds the bottom line to active tabs. */
.nav-tabs #list .nav-item .nav-link.active,
.nav-tabs #list .nav-item .nav-link .show > .nav-link {
  border-bottom: 2px solid #2d0245;
  background-color: transparent;
}

nav .logo {
  font-family: "Whisper", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 44px;
  color: #2d0245;
  text-decoration: none;
}
/*    gap at top*/
.carousel {
  margin-top: 70px;
}

.carousel-body {
  background-color: rgb(248, 249, 250);
}

.carousel li {
  text-decoration: none;
}

#services {
  padding: 0px;
}

/*carousel border */
.carousel-inner {
  height: 220px;
}

/*change margins for md up. Carousel text. */
.carousel-inner .carousel-item h4 {
  font-style: oblique;
  font-size: 35px;
  padding-top: 30px;
  padding-bottom: 20px;
  line-height: 1.7;

  color: #343a40;
}

/*Carousel Indicators*/
.carousel .carousel-indicators li {
  background-color: #343a40;
  margin: 50px 7px 10px 5px;
  width: 20px;
}

/*carousel content that's just one line. Ajusting height within the carousel.*/
.single {
  margin-top: 20px;
}

.clear {
  height: 70px;
}

/*Main text styling*/
.textinfo {
  line-height: 1.8;
  font-size: 20px;
}
.footer {
  font-size: 13px;

  font-weight: 900;

  line-height: 3;
  margin: 0px;
  letter-spacing: 0.1px;

  height: auto;
  padding-top: 50px;
  margin-top: 200px;

  background-color: rgb(248, 249, 250);
}

.bks p {
  font-size: 16px;
}

.art-right {
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center right;
  z-index: 2;
}
.art-left {
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center left;
  z-index: 2;
}

#skills {
  font-size: 30px;
}
/*pages*/
.jumbotron {
  padding-top: 150px;
}
/*Headers in Jumbotrons */
.jumbotron h2 {
  color: #2d0245;
  letter-spacing: 2px;
  margin-top: 0px;
}

/*main body text */
.contents {
  font-size: 20px;
}

/*list on about page */
.contents ul {
  list-style: none;
  padding-left: 0;
}

/*Link to The Wanderer Travel Blog on the About page  */
.blogLink {
  color: #343a40;
  font-weight: 900;
}

/*Link to The Wanderer Travel Blog on the About page - on hover  */
.blogLink:hover {
  color: black;
  text-decoration: none;
}

/* Signature on the about page  */
#myname {
  text-align: center;
  font-family: "Scriptina", "Bilbo Swash Caps", cursive;
}

/* cards */

.card {
  color: #343a40;
  margin-top: 20px;
  margin-bottom: 20px;
}

/* image section of card */
.card .card-img-top {
  background-size: cover;
}

/* text section of card */
.card .card-body {
  padding: 15px 10px 10px 10px;
  font-size: 20px;
  line-height: 1.3;
}

/* The heading links in the cards */
.card .card-body h5 a {
  /* color: gray;
  color: #3e015e; */
  color: #343a40;
  letter-spacing: 0.5px;
  font-weight: 900;
  font-size: 22px;
}

/* The headings in the card */
.card .card-body h5 {
  height: 50px;
}

/* The card footer */
.card .card-footer {
  padding: 10px 10px 0 10px;
  font-size: 14px;
  color: #6c757d;

  border-top: 1px solid #343a40;
  background-color: white;

  color: #343a40;
  font-style: italic;
}

/*contact form box*/
.contactForm {
  border: 2px solid #2d0245;

  border-radius: 10px;
  margin-top: 0px;
  padding: 20px 40px;
}

/*input boxes of contact form*/
.contactForm .inp {
  border: 1px solid #2d0245;

  background-color: #f8f9fa;

  margin: auto;
}

/*groups of label and input in the contact form. */
.form-group {
  margin-bottom: 15px;
  padding-bottom: 20px;
}

.contactButton {
  border: 1px solid #2d0245;
  background-color: rgb(248, 249, 250);

  color: #2d0245;
  height: 50px;
  width: 200px;
  border-radius: 20px;
}

.contactForm .contactButton:hover {
  background-color: #2d0245;
  border: 1px solid rgb(248, 249, 250);
  color: rgb(248, 249, 250);
}

.gap {
  height: 150px;
}

.bottom-p {
  padding-bottom: 400px;
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  margin-top: 5%;
}

#bks {
  padding-left: 50px;
  padding-top: 30px;
}

/* social media icons */
.social {
  height: 30px;
  width: 30px;
  margin: 15px;
}

/* social media section of footer */
.followme {
  text-align: center;
  padding-right: 0px;
}

.followme p {
  font-weight: 500;
}

/* follow me text */
.fmtext {
  margin-right: 15px;
}
